from models import Film
from django.shortcuts import render_to_response
from django.template import RequestContext

def film_list(request, prefix=None):
    search = request.GET.get('search')

    if prefix is not None:
        films = Film.objects.filter(name_czech__istartswith=prefix)
    elif search is not None:
        films = Film.objects.filter(name_czech__icontains=search)
    else:
        films = None

    letters = [chr(c) for c in range(ord('A'), ord('Z') + 1)]

    return render_to_response('film_list.html', locals(), context_instance=RequestContext(request))

from models import FORMAT_CHOICES 
from django.http import HttpResponseRedirect 

def film_detail(request, film_id):
    try:
        film = Film.objects.filter(id=film_id)[0]
    except IndexError:
        return HttpResponseRedirect('/nabidka/')

    film.format = FORMAT_CHOICES[film.format][1]

    return render_to_response('film_detail.html', {'film': film}, context_instance=RequestContext(request))
